installing go & this bundle doesn't work. #21

Open
devrim opened this Issue May 11, 2012 · 5 comments

Comments

Projects
None yet
4 participants

devrim commented May 11, 2012

this might be my dumbness or change in go but this is what i get.. http://d.pr/i/JzsS any ideas why?

Same dumbness on my site. I installed go using brew.

Contributor

mkb218 commented Jun 4, 2012

The gc tools are no longer stored on the path. The correct invocation is "go tool 6g" (or 8g or 5g)

I am fairly new to TextMate Bundles. I fiddled a little with the commands from this bundle and tried to understand how they are working or are supposed to work. The indirectness using ruby as binding is a little complicated to follow. I tried to change the underlying command line call, with no success so far.

So I tried to change the Run Command to directly calling: go run. But the output says it can not find any go file when trying to execute the command. Any ideas?

Contributor

mkb218 commented Jun 5, 2012

Switching from using the collection of individual tools and make to using the go tool is not a little tricky. I have a branch where I am working on it and not even all the commands line up.

Contributor

drnic commented Jun 8, 2012

Which version of go last worked with the current bundle?

@jish jish pushed a commit to jish/go-tmbundle that referenced this issue Dec 31, 2015

@syscrusher syscrusher Merge pull request #21 from msoap/complete_fix
Don't save document before completion
a58a45e
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment